org.apache.cassandra.cql3.restrictions

## Class IndexRestrictions

- java.lang.Object
- - org.apache.cassandra.cql3.restrictions.IndexRestrictions

    public class IndexRestrictions
    extends java.lang.Object

### Field Summary

Fields
`static java.lang.String` `CUSTOM_EXPRESSION_NOT_SUPPORTED`
`static java.lang.String` `INDEX_NOT_FOUND`
`static java.lang.String` `INVALID_INDEX`
`static java.lang.String` `MULTIPLE_EXPRESSIONS`
`static java.lang.String` `NON_CUSTOM_INDEX_IN_EXPRESSION`

### Constructor Summary

Constructors
Constructor and Description
`IndexRestrictions()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `add(CustomIndexExpression expression)`
`void` `add(Restrictions restrictions)`
`java.util.List<CustomIndexExpression>` `getCustomIndexExpressions()`
`java.util.List<Restrictions>` `getRestrictions()`
`boolean` `isEmpty()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### INDEX_NOT_FOUND

    public static final java.lang.String INDEX_NOT_FOUND

See Also:
  Constant Field Values

#### INVALID_INDEX

    public static final java.lang.String INVALID_INDEX

See Also:
  Constant Field Values

#### CUSTOM_EXPRESSION_NOT_SUPPORTED

    public static final java.lang.String CUSTOM_EXPRESSION_NOT_SUPPORTED

See Also:
  Constant Field Values

#### NON_CUSTOM_INDEX_IN_EXPRESSION

    public static final java.lang.String NON_CUSTOM_INDEX_IN_EXPRESSION

See Also:
  Constant Field Values

#### MULTIPLE_EXPRESSIONS

    public static final java.lang.String MULTIPLE_EXPRESSIONS

See Also:
  Constant Field Values

### Constructor Detail

#### IndexRestrictions

    public IndexRestrictions()

### Method Detail

#### add

    public void add(Restrictions restrictions)

#### add

    public void add(CustomIndexExpression expression)

#### isEmpty

    public boolean isEmpty()

#### getRestrictions

    public java.util.List<Restrictions> getRestrictions()

#### getCustomIndexExpressions

    public java.util.List<CustomIndexExpression> getCustomIndexExpressions()